UiPath Documentation
orchestrator
2023.4
false
Orchestrator API guide
  • Getting started
  • Swagger definition
  • Orchestrator APIs

Alerts Requests

Mark alerts as read

This request enables you to mark one or more alerts as read in the tenant the user has access to.

POST

https://{yourDomain}/{organizationName}/{tenantName}/orchestrator_/odata/Alerts/UiPath.Server.Configuration.OData.MarkAsRead

Request headers

Key

Value

Authorization

Bearer

Request body

{
    "ids": [
      "197ed863-037b-4d89-8271-c04e30b52240"
    ]
}{
    "ids": [
      "197ed863-037b-4d89-8271-c04e30b52240"
    ]
}

Response code

200 OK

Response body

{
    "value": 12
}{
    "value": 12
}
Important: The request body must contain the UserNotificationId as the value for the "ids" field of the payload. To find out the UserNotificationId, make a GET request to the /odata/Alerts endpoint first.
For example, calling the GET /odata/Alerts returns the following response body:
{
  "value": [
    {
      "NotificationName": "Robot.StatusChanged.Offline",
      "Data": "{\"RobotId\":123,\"RobotName\":\"user@uipath.com-unattended\",\"State\":2,\"IsUnresponsive\":false,\"OrganizationUnitId\":null,\"HostMachineName\":\"MachineName\",\"ReportingTime\":\"2021-08-20T16:48:43.76\",\"Message\":\"#robot Robot(user@uipath.com-unattended) disconnected. (#1222)\",\"MessageErrorCode\":1222,\"FolderId\":null,\"FolderFullyQualifiedName\":null,\"ForceDisplay\":false,\"Type\":\"UiPath.Orchestrator.Core.Alerts.Model.RobotStatusNotification\",\"Properties\":{}}",
      "Component": "Robots",
      "Severity": "Fatal",
      "CreationTime": "2021-08-20T16:48:50.02Z",
      "State": "Unread",
      "UserNotificationId": "197ed863-037b-4d89-8271-c04e30b52240",
      "Id": "a258f4c5-7465-40f8-a650-02228353fd4e"
    }
  ]
}{
  "value": [
    {
      "NotificationName": "Robot.StatusChanged.Offline",
      "Data": "{\"RobotId\":123,\"RobotName\":\"user@uipath.com-unattended\",\"State\":2,\"IsUnresponsive\":false,\"OrganizationUnitId\":null,\"HostMachineName\":\"MachineName\",\"ReportingTime\":\"2021-08-20T16:48:43.76\",\"Message\":\"#robot Robot(user@uipath.com-unattended) disconnected. (#1222)\",\"MessageErrorCode\":1222,\"FolderId\":null,\"FolderFullyQualifiedName\":null,\"ForceDisplay\":false,\"Type\":\"UiPath.Orchestrator.Core.Alerts.Model.RobotStatusNotification\",\"Properties\":{}}",
      "Component": "Robots",
      "Severity": "Fatal",
      "CreationTime": "2021-08-20T16:48:50.02Z",
      "State": "Unread",
      "UserNotificationId": "197ed863-037b-4d89-8271-c04e30b52240",
      "Id": "a258f4c5-7465-40f8-a650-02228353fd4e"
    }
  ]
}
Map the "UserNotificationId" value (i.e., 197ed863-037b-4d89-8271-c04e30b52240) to the "ids" key in the request body of the POST /odata/Alerts/UiPath.Server.Configuration.OData.MarkAsRead endpoint.
  • Mark alerts as read
  • Request headers
  • Request body
  • Response code
  • Response body

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated